Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

Buildcraft & Industrialcraft for Minecraft 1.7.4 1?!

buildcraft industrialcraft mcpatcher minecraft 1.7.4 1.7.4

  • Please log in to reply
2 replies to this topic

#1

xObscelete

Posted 12 January 2014 - 08:47 PM

Hey,

was just wondering if anybody could help me with my problem?

Basically, i have minecraft 1.74 *Not Cracked* and i have MCPatcher installed (Which i have used to install too many items etc).

Does anyone know how I can install buildcraft and industrialcraft using MCPatcher? I cant find a proper download for it.

Any help would be appreciated.

Thanks a lot in advance,

Tom Posted Image

Register or log in to remove.

#2

blockout22
  • Minecraft: blockout22

Posted 13 January 2014 - 01:54 AM

View PostxObscelete, on 12 January 2014 - 08:47 PM, said:

Hey,

was just wondering if anybody could help me with my problem?

Basically, i have minecraft 1.74 *Not Cracked* and i have MCPatcher installed (Which i have used to install too many items etc).

Does anyone know how I can install buildcraft and industrialcraft using MCPatcher? I cant find a proper download for it.

Any help would be appreciated.

Thanks a lot in advance,

Tom Posted Image

neither are for 1.7.4
Posted Image

#3

Taiine
    Taiine

    Blaze Extinguisher

  • Curse Premium
  • Curse Premium
  • 4189 posts
  • Location: In a mine somewhere
  • Minecraft: Taiine

Posted 13 January 2014 - 10:14 AM

Most mods are not even updated for 1.7.4, most are still for 1.6. If you try and instal a mod thats not for your game version you'll just crash.

So just wait like the rest of us.

Posted Image